Bug 444081 - For given N, all architectures should have the same NVR
For given N, all architectures should have the same NVR
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Preethi Thomas
Depends On:
Blocks: 446877
  Show dependency treegraph
Reported: 2008-04-24 17:24 EDT by Jan Pazdziora
Modified: 2008-11-05 13:39 EST (History)
2 users (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-05 13:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-04-24 17:24:58 EDT
Description of problem:


In Satellite 5.1.0, we have packages that were built with different NVRs for
different architectures, for example


Brew and distill do not like that -- all architectures should have the same NVR
(and be built from the same src.rpm).

Version-Release number of selected component (if applicable):

Satellite 5.1.0.

How reproducible:


Steps to Reproduce:
1. Mount all eight ISOs of Satellite.
2. Do rpm -qp --qf '%{name}-%{version}-%{release}\n' bootstrap/* RPMS/* | sort
-u in each of them.
3. Diff the outputs.
Actual results:

For given N (perl-BSD-Resource, for example), there are different NVRs on
different ISOs.

Expected results:

If the outputs differ, it's because on some architectures the packages are not
present at all. If there are packages with the same N on two ISOs, they have the
same NVR as well.

Additional info:

Dennis G. offered a solution with satellite-4E-5.1-%{arch}. We might be able to
live with those for 5.1, should we ever want to reproduce / build 5.1.x via
distill. I still have to investigate whether and how it would work. So this is
kinda placeholder for a potential change we might need / want to do, to cleanup
things for our children and grandchildren.
Comment 2 Clifford Perry 2008-05-08 09:24:38 EDT
?Unless we plan to use Brew for 5.1.x, feel we should move to 5.2 (not vader) 
Comment 4 Jan Pazdziora 2008-05-21 15:36:07 EDT
This really is a 5.2.0 feature.
Comment 5 Jan Pazdziora 2008-07-03 05:23:45 EDT
Note, on Satellite 5.2.0 the rpms are in directories Satellite/ and EmbeddedDB/,
so the command in point 2 in the test plan will be

2. Do rpm -qp --qf '%{name}-%{version}-%{release}\n' Satellite/*.rpm
EmbeddedDB/*.rpm | sort -u

Also note that oracle-server packages actually come with arch in the name, so
there is oracle-server-i386, oracle-server-x86_64, and oracle-server-s390x --
this is expected, and their version-release can differ.
Comment 6 Jan Pazdziora 2008-07-11 07:09:52 EDT
With composes Satellite-5.2.0-RHEL4-re20080710.1 and
Satellite-5.2.0-RHEL5-re20080710.0, this (what the bugzilla asks for) seems to
be the care with all the changes in comps and brew tags, to moving to MODIFIED.
Comment 7 Brad Buckingham 2008-08-13 12:52:16 EDT
Mass move to ON_QA.
Comment 8 Preethi Thomas 2008-08-25 13:28:47 EDT
Comment 9 Jeff Browning 2008-10-21 14:13:09 EDT
Comment 10 Brandon Perkins 2008-11-05 13:39:59 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.